<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bootstrap Grid System Activity</title>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body class="text-center container-fluid" >
    <h1>Bootstrap Grid System</h1>

<!-- Mobile Responsive Row -->
    <h3>Mobile Responsive Columns</h3>
    <div class="text-light row">
        <div class="bg-primary pt-3 pb-3 border border-dark col-sm-2">Responsive</div>
        <div class="bg-secondary pt-3 pb-3 border border-dark col-sm-10">Responsive</div>
    </div>

<!-- Multi-Column Layouts -->
    <h3>Multi-column Layouts</h3>
    <div class="text-light row">
        <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
        <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
        <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
        <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
        <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
        <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
    </div>

<!-- Offsetting Columns -->
    <h3>Offsetting Columns</h3>
    <div class="text-light row">
        <div class="bg-primary pt-3 pb-3 border border-dark col-2 offset-2">Offset Column</div>
    </div>
    <div class="text-light row">
        <div class="bg-primary pt-3 pb-3 border border-dark col-md-3 offset-md-3">Offset Column</div>
    </div>
    <div class="text-light row">
        <div class="bg-primary pt-3 pb-3 border border-dark col-lg-4 offset-lg-4">Offset Column</div>
    </div>

<!-- Column  Order Row -->
    <h3>Column Orders</h3>
    <div class="text-light row">
        <div class="bg-primary pt-3 pb-3 border border-dark col order-12">Left</div>
        <div class="bg-secondary pt-3 pb-3 border border-dark col order-1">Right</div>
    </div>

<!-- JS Scripts -->
     <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>